class Camera:
    "Scene camera"
    xrot=0.0  # rotation around x axis, vertical moves
    yrot=0.0  # rotation around y axis, horizontal moves
    drot=0.5  # degrees per mouse move
    zoom=-200.0
    dzoom=40.0   # units per wheel click
    xpos=0.0
    ypos=0.0
    dpos=1.0  # units per move
    def rotate_cam(self,mx,my):
        self.xrot+=my*self.drot
        self.yrot+=mx*self.drot
#        self.xrot=max(270.0,min(self.xrot,360.0))
        self.yrot%=360
        self.xrot%=360
    def zoom_cam(self,mz):
        self.zoom+=self.dzoom*mz
    def move_cam(self,dx,dy):
        self.xpos+=self.dpos*dx
        self.ypos+=self.dpos*dy
