"""fence segment"""

import mob

class Fence(mob.Mob):

    def __init__(self, g, x = 0, y = 0, sidefence = False):
        super(Fence, self).__init__(g, x, y, 'fence')
        self.sidefence = sidefence
        if self.sidefence:
            self.sprite.rot = 1


    def get_collbox(self):
        if(self.sidefence):
            return(self.x - mob.Mob.box_height,
                   self.y - self.sprite.image.width / 2.0 - mob.Mob.box_width,
                   self.x + mob.Mob.box_height,
                   self.y + self.sprite.image.width / 2.0 + mob.Mob.box_width)
        else:
            return(self.x - self.sprite.image.width / 2.0 - mob.Mob.box_width,
                   self.y - mob.Mob.box_height,
                   self.x + self.sprite.image.width / 2.0 + mob.Mob.box_width,
                   self.y + mob.Mob.box_height)


