"""player"""

import mob
import projectile
import const

class Player(mob.Mob):
    maxvel = const.player_maxvel

    def __init__(self, g, x = 0, y = 0):
        super(Player, self).__init__(g, x, y, 'george')

    # dawg stays on the porch, holmes
    def porch_move(self, x):
        if x < 0:
            x = 0
        if x > self.g.scene.gamefield_size:
            x = self.g.scene.gamefield_size
        self.move_to(x, self.y)


    # Throw a projectile and append to moblist
    def throw(self, x = 0, y = 0, type = 'random'):
        proj = projectile.Projectile(self.g, self, x, y, type)
        self.g.scene.moblist.append(proj)


    def collision(self, mob):
        if mob.kind == 'projectile':
            if mob.active:
                self.g.gamestate = 'loserscreen_init'
